package com.example.petstoremobile.api;

import com.example.petstoremobile.dtos.RefundDTO;
import retrofit2.Call;
import retrofit2.http.*;

import java.util.List;

public interface RefundApi {

    @GET("api/v1/refunds")
    Call<List<RefundDTO>> getAllRefunds();

    @GET("api/v1/refunds/{id}")
    Call<RefundDTO> getRefundById(@Path("id") Long id);

    @POST("api/v1/refunds")
    Call<RefundDTO> createRefund(@Body RefundDTO refund);

    @PUT("api/v1/refunds/{id}")
    Call<RefundDTO> updateRefund(@Path("id") Long id, @Body RefundDTO refund);

    @DELETE("api/v1/refunds/{id}")
    Call<Void> deleteRefund(@Path("id") Long id);
}